Package org.kie.internal.runtime.manager.audit.query

## Interface AuditDateDeleteBuilder<T>

- Type Parameters:
    `T` -
  All Superinterfaces:
    `AuditDeleteBuilder<T>`, `ParametrizedQueryBuilder<T>`
  All Known Subinterfaces:
    `AuditTaskDeleteBuilder`, `ErrorInfoDeleteBuilder`, `NodeInstanceLogDeleteBuilder`, `TaskEventDeleteBuilder`, `TaskVariableDeleteBuilder`, `VariableInstanceLogDeleteBuilder`

      public interface AuditDateDeleteBuilder<T>
      extends AuditDeleteBuilder<T>

  This interface defines methods that are used by all of the Audit delete query builder implementations.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `T` | `date​(java.util.Date... date)` | Specify one or more dates as criteria in the query
    `T` | `dateRangeEnd​(java.util.Date rangeEnd)` | Specify the end of a date range to be used as a criteria on the date field.
    `T` | `dateRangeStart​(java.util.Date rangeStart)` | Specify the begin of a date range to be used as a criteria on the date field.

    - ### Methods inherited from interface org.kie.internal.runtime.manager.audit.query.AuditDeleteBuilder

      `build, logBelongsToProcessInDeployment, logBelongsToProcessInStatus, processId, processInstanceId, recordsPerTransaction`

    - ### Methods inherited from interface org.kie.internal.query.ParametrizedQueryBuilder

      `and, clear, equals, intersect, like, maxResults, offset, or, regex, union`

- - ### Method Detail

    - #### date

          T date​(java.util.Date... date)

      Specify one or more dates as criteria in the query
      Parameters:
        `date` - one or more dates
      Returns:
        The current query builder instance

    - #### dateRangeStart

          T dateRangeStart​(java.util.Date rangeStart)

      Specify the begin of a date range to be used as a criteria on the date field. The date range includes the date specified.
      Parameters:
        `rangeStart` - the start (early end) of the date range
      Returns:
        The current query builder instance

    - #### dateRangeEnd

          T dateRangeEnd​(java.util.Date rangeEnd)

      Specify the end of a date range to be used as a criteria on the date field. The date range includes this date.
      Parameters:
        `rangeEnd` - the end (later end) of the date range
      Returns:
        The current query builder instance